<?php
// +----------------------------------------------------------------------+
// | PHP version 4                                                        |
// +----------------------------------------------------------------------+
// | Copyright (c) 1997-2005 Snapshot Inc.                                |
// +----------------------------------------------------------------------+
// | License                                                              |
// | GNU General Public License                                           |
// +----------------------------------------------------------------------+
// | Authors: Mai Kawasaki                                                |
// +----------------------------------------------------------------------+
//
// $Id: ListView_success.class.php,v 1.1 2005/06/20 09:31:28 snapshot Exp $
//
// Description:
// 2005/05/18
//

/** 
*	ListView.class.php
*	Mai Kawasaki
*	2005/05/18
*/

/** 
*	ListView
*/
class ListView extends View {

    function & execute (&$controller, &$request, &$user) {

        $renderer =& new Renderer($controller, $request, $user);
		
        $renderer->setAttribute('subject', $request->getAttribute('subject'));
        $renderer->setAttribute('exams_admin', $request->getAttribute('exams_admin'));
        $renderer->setAttribute('exams_student', $request->getAttribute('exams_student'));
		$renderer->setAttribute('type', $request->getAttribute('type'));
        $renderer->setAttribute('admin', $request->getAttribute('admin'));


        $renderer->setAttribute('is_next', $request->getAttribute('is_next'));
        $renderer->setAttribute('is_back', $request->getAttribute('is_back'));
        $renderer->setAttribute('page', $request->getAttribute('page'));

		if( $request->getAttribute('type') == 'mobile'){
	        $renderer->setTemplate('List_success.php');	
		} else {
	        $renderer->setTemplate('List_success_pc.php');			
		}

        return $renderer;

    }

}

?>